## instead 1.6.0

=== Makefile ===
include Rules.make
include config.make

VERTITLE := instead-$(VERSION)
ARCHIVE := instead_$(VERSION).tar.gz#

SUBDIRS += src/sdl-instead stead games themes icon desktop doc lang

all:
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $(@) || exit 1; \
	done;

Rules.make:
	ln -sf Rules.make.standalone Rules.make

config.make:
	echo "# you can define own flags here" > config.make

svnclean:
	svn st | grep "^?" | awk '{ print $$2 }' | grep -v "config.make" | while read l; do $(RM) -rf $$l; done

rules:
	$(RM) -f Rules.make
	ln -sf Rules.make.standalone Rules.make

docs: rules
	make pdf -C doc/
	make wiki -C doc/ 
	man doc/instead.6 > doc/instead.txt

PKGBUILD: PKGBUILD.in tarball
	cat PKGBUILD.in | sed -e s/MD5SUM/`md5sum $(ARCHIVE) | cut -f1 -d' '`/g > PKGBUILD
	
tarball: clean svnclean docs rules
	echo "# you can define own flags here" > config.make
	ln -sf ./ $(VERTITLE)
	tar -cz --exclude $(VERTITLE)/$(VERTITLE) --exclude CJK.zip --exclude .svn --exclude $(ARCHIVE) --exclude mingw32ce.tar.gz --exclude windows.tar.gz -f $(ARCHIVE) $(VERTITLE)/*
	$(RM) -f $(VERTITLE)

clean:
	@for dir in $(SUBDIRS); do \
		$(MAKE) clean -C $$dir $(@) || exit 1; \
	done;
	$(RM) -f $(ARCHIVE)
	$(RM) -f PKGBUILD

install: all
ifeq ($(SYSTEMSETUP), yes)
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir install || exit 1; \
	done;
else
	echo No install needed
endif

uninstall:
ifeq ($(SYSTEMSETUP), yes)
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir uninstall || exit 1; \
	done;
	$(RM) -rf $(STEADPATH)
else
	echo No uninstall needed
endif

=== doc/Makefile ===
include ../Rules.make
include ../config.make

pdf:
	# try xetex here, and hope it works ;)
	pdflatex manual.tex
	makeindex manual.idx
	pdflatex manual.tex
	$(RM) -f manual.aux manual.log manual.toc manual.out manual.idx manual.ind manual.ilg
#to-do: interpret $PATH

wiki:
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:documentation&do=export_xhtml" -O writing_games.html
	wget "http://instead.syscall.ru/wiki/doku.php?id=en:gamedev:documentation&do=export_xhtml" -O writing_games-en.html
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:documentation&do=export_raw" -O writing_games.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=en:gamedev:documentation&do=export_raw" -O writing_games-en.txt

	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:click&do=export_raw" -O modules/click.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:format&do=export_raw" -O modules/format.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:hideinv&do=export_raw" -O modules/hideinv.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:prefs&do=export_raw" -O modules/prefs.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:timer&do=export_raw" -O modules/timer.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:xact&do=export_raw" -O modules/xact.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:dash&do=export_raw" -O modules/dash.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:dbg&do=export_raw" -O modules/dbg.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:hotkeys&do=export_raw" -O modules/hotkeys.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:para&do=export_raw" -O modules/para.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:quotes&do=export_raw" -O modules/quotes.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:theme&do=export_raw" -O modules/theme.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:kbd&do=export_raw" -O modules/kbd.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:sprites&do=export_raw" -O modules/sprites.txt
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:sound&do=export_raw" -O modules/sound.txt

clean:
all:
install:
	$(INSTALLD) $(DOCPATH)
	$(INSTALL) *.html *.txt *.pdf $(DOCPATH)
	$(INSTALLD) $(DOCPATH)/modules
	$(INSTALL) modules/*.txt $(DOCPATH)/modules
	$(INSTALLD) $(MANPATH)
	$(INSTALL) *.6 $(MANPATH)

uninstall:
	$(RM) -rf $(DOCPATH)
	$(RM) $(MANPATH)/instead.*

=== games/Makefile ===
include ../Rules.make
include ../config.make

all:
install:
	$(INSTALLD) $(GAMESPATH)
	for f in *; do \
		if [ ! -d $$f ]; then continue; fi;\
		$(INSTALLD) $(GAMESPATH)/$$f; \
		tar --exclude=".svn" -c -C $$f . | tar -x -C $(GAMESPATH)/$$f;\
	done

uninstall:
	$(RM) -rf $(GAMESPATH)

clean:

=== icon/Makefile ===
include ../Rules.make
include ../config.make

clean:
all:
install:
	$(INSTALLD) $(ICONPATH)
	$(INSTALL) sdl_instead.png $(ICONPATH)
	$(INSTALL) sdl_instead_1.png $(ICONPATH)

uninstall:
	$(RM) $(ICONPATH)/sdl_instead.png
	$(RM) $(ICONPATH)/sdl_instead_1.png

=== lang/Makefile ===
include ../Rules.make
include ../config.make

clean:
all:
install:
	$(INSTALLD) $(LANGPATH)
	for f in *.ini; do \
		$(INSTALL) $$f $(LANGPATH)/$$f;\
	done

uninstall:
	$(RM) -rf $(LANGPATH)

=== stead/Makefile ===
include ../Rules.make
include ../config.make

clean:
all:	stead.lua

install:
	$(INSTALLD) $(STEADPATH) 
	$(INSTALL) stead.lua $(STEADPATH)/stead.lua
	$(INSTALL) gui.lua $(STEADPATH)/gui.lua
	$(INSTALL) walk.lua $(STEADPATH)/walk.lua
	$(INSTALL) xact.lua $(STEADPATH)/xact.lua
	$(INSTALL) input.lua $(STEADPATH)/input.lua
	$(INSTALL) click.lua $(STEADPATH)/click.lua
	$(INSTALL) dbg.lua $(STEADPATH)/dbg.lua
	$(INSTALL) vars.lua $(STEADPATH)/vars.lua
	$(INSTALL) prefs.lua $(STEADPATH)/prefs.lua
	$(INSTALL) snapshots.lua $(STEADPATH)/snapshots.lua
	$(INSTALL) object.lua $(STEADPATH)/object.lua
	$(INSTALL) format.lua $(STEADPATH)/format.lua
	$(INSTALL) dash.lua $(STEADPATH)/dash.lua
	$(INSTALL) para.lua $(STEADPATH)/para.lua
	$(INSTALL) quotes.lua $(STEADPATH)/quotes.lua
	$(INSTALL) timer.lua $(STEADPATH)/timer.lua
	$(INSTALL) kbd.lua $(STEADPATH)/kbd.lua
	$(INSTALL) hotkeys.lua $(STEADPATH)/hotkeys.lua
	$(INSTALL) hideinv.lua $(STEADPATH)/hideinv.lua
	$(INSTALL) theme.lua $(STEADPATH)/theme.lua
	$(INSTALL) sprites.lua $(STEADPATH)/sprites.lua
	$(INSTALL) sound.lua $(STEADPATH)/sound.lua

uninstall:
	$(RM) $(STEADPATH)/stead.lua
	$(RM) $(STEADPATH)/gui.lua

=== themes/Makefile ===
include ../Rules.make
include ../config.make

clean:
all:
install:
	$(INSTALLD) $(THEMESPATH)
	for f in *; do \
		if [ ! -d $$f ]; then continue; fi;\
		$(INSTALLD) $(THEMESPATH)/$$f;\
		tar --exclude=".svn" -c -C $$f . | tar -x -C $(THEMESPATH)/$$f;\
	done

uninstall:
	$(RM) -rf $(THEMESPATH)

=== src/instead/Makefile ===
#!/usr/bin/make -f
include ../../Rules.make
include ../../config.make

all: instead
instead: instead.c rline.c
	$(CC) $(CFLAGS) -DSTEAD_PATH=\"${STEADPATH}/\" instead.c $(LUA_CFLAGS) rline.c $(LUA_LFLAGS) -lncurses -lreadline -o instead
clean:
	$(RM) -rf *.o instead
install:
	$(INSTALLD) $(BIN)
	$(INSTALLB) instead $(BIN)/instead

uninstall:
	$(RM) $(BIN)/instead

=== src/sdl-instead/Makefile ===
include ../../Rules.make
include ../../config.make

CFLAGS += $(SDL_CFLAGS) $(LUA_CFLAGS) $(ZLIB_CFLAGS) $(EXTRA_CFLAGS) -DLANG_PATH=\"${LANGPATH}/\" -DSTEAD_PATH=\"${STEADPATH}/\"  -DGAMES_PATH=\"${GAMESPATH}/\" -DTHEMES_PATH=\"${THEMESPATH}/\" -DVERSION=\"$(VERSION)\" -DICON_PATH=\"${ICONPATH}/\"

LDFLAGS += $(SDL_LFLAGS) $(LUA_LFLAGS) $(ZLIB_LFLAGS) $(EXTRA_LDFLAGS)
 
SRC     := graphics.c input.c game.c main.c instead.c sound.c SDL_rotozoom.c SDL_anigif.c SDL_gfxBlitFunc.c config.c themes.c menu.c util.c cache.c unzip.c ioapi.c unpack.c lfs.c idf.c $(PLATFORM)
H	:= cache.h config.h externals.h game.h graphics.h input.h instead.h internals.h ioapi.h iowin32.h list.h \
	menu.h SDL_anigif.h SDL_gfxBlitFunc.h SDL_rotozoom.h sound.h themes.h unzip.h util.h

OBJ     := $(patsubst %.c, %.o, $(SRC)) $(ADDOBJ)

all: sdl-instead$(EXE)

$(OBJ): %.o : %.c $(H)
	$(CC) -c $(<) $(I) $(CFLAGS)

sdl-instead$(EXE):  $(OBJ) $(RESOURCES)
	$(CC) $(CFLAGS) $(^) $(LDFLAGS) -o $(@) 

install:
	$(INSTALLD) $(BIN)
	$(INSTALLB) sdl-instead$(EXE) $(BIN)/sdl-instead$(EXE)
	$(LN) sdl-instead$(EXE) $(BIN)/instead$(EXE)

uninstall:
	$(RM) $(BIN)/sdl-instead$(EXE)
	$(RM) $(BIN)/instead$(EXE)

clean:
	$(RM) -f *.o sdl-instead$(EXE)

=== debian/changelog ===
instead (1.6.0-1) unstable; urgency=low

  * Initial release (Closes: #641307)

 -- Sam Protsenko <joe.skb7@gmail.com>  Sun, 15 Jan 2012 17:02:02 +0200

=== debian/control ===
Source: instead
Section: games
Priority: optional
Maintainer: Sam Protsenko <joe.skb7@gmail.com>
Build-Depends: debhelper (>= 8.0.0), pkg-config, liblua5.1-dev, libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://instead.googlecode.com

Package: instead
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, instead-data (= ${source:Version})
Description: simple text adventures/visual novels engine
 INSTEAD -- INterpreter of Simple TExt ADventure.
 Using INSTEAD you can create and play games that could be classified
 as a mix of visual novel and text quest.
 .
 Features:
   * Simple story source code (Lua-based script)
   * GUI interface that supports music and pictures
   * Theme support
   * Portability (INSTEAD depends on SDL and Lua)
 .
 Game repository: http://code.google.com/p/instead-games/downloads/list

Package: instead-data
Architecture: all
Depends: ${misc:Depends}
Recommends: instead
Description: data files for INSTEAD
 INSTEAD -- INterpreter of Simple TExt ADventure.
 Using INSTEAD you can create and play games that could be classified
 as a mix of visual novel and text quest.
 .
 Features:
   * Simple story source code (Lua-based script)
   * GUI interface that supports music and pictures
   * Theme support
   * Portability (INSTEAD depends on SDL and Lua)
 .
 This package contains language files, graphical themes, STEAD scripts
 and tutorial.

=== debian/rules ===
#!/usr/bin/make -f

TMP_DIR=$(CURDIR)/debian/tmp
DEST_DIR=$(TMP_DIR)/usr

%:
	dh $@

override_dh_auto_configure:
	# Making links for man files
	ln -s instead.6 doc/sdl-instead.6
	ln -s instead.txt doc/sdl-instead.txt

	# Selecting proper Rules.make.xxx file
	rm -f Rules.make
	ln -s Rules.make.system Rules.make

	# Configuring build environment
	echo "2" | ./configure.sh

override_dh_auto_build:
	$(MAKE) PREFIX=/usr BIN=/usr/games DATAPATH=/usr/share/games/instead

override_dh_auto_clean:
	$(MAKE) clean

	# Removing links for man files
	rm -f doc/sdl-instead.6
	rm -f doc/sdl-instead.txt

	# Selecting default Rules.make.xxx file
	rm -f Rules.make
	ln -s Rules.make.standalone Rules.make

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(TMP_DIR) PREFIX=/usr DATAPATH=$(DEST_DIR)/share/games/instead BIN=$(DEST_DIR)/games

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://code.google.com/p/instead/downloads/list //instead\.googlecode\.com/files/instead\_(.*)\.tar\.gz

## instead 1.7.0-maemo1%2b0m5

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 tarball: clean svnclean docs rules
 	echo "# you can define own flags here" > config.make
 	ln -sf ./ $(VERTITLE)
-	tar -cz --exclude $(VERTITLE)/$(VERTITLE) --exclude CJK.zip --exclude .svn --exclude $(ARCHIVE) --exclude mingw32ce.tar.gz --exclude windows.tar.gz -f $(ARCHIVE) $(VERTITLE)/*
+	tar -cz --exclude $(VERTITLE)/$(VERTITLE) --exclude CJK.zip --exclude .svn --exclude $(ARCHIVE) --exclude mingw32ce.tar.gz --exclude windows.tar.gz --exclude caanoo.tar.gz -f $(ARCHIVE) $(VERTITLE)/*
 	$(RM) -f $(VERTITLE)
 
 clean:

=== desktop/Makefile ===
include ../Rules.make
include ../config.make

clean:
	rm -rf instead.desktop

all: instead.desktop

instead.desktop: instead.desktop.in
	cat instead.desktop.in | sed -e "s|@BIN|$(BIN)|g" > instead.desktop

install:
	$(INSTALLD) $(DESTDIR)$(PREFIX)/share/applications/hildon
	$(INSTALL) instead.desktop $(DESTDIR)$(PREFIX)/share/applications/hildon/instead.desktop

uninstall:
	$(RM) $(DESTDIR)$(PREFIX)/share/applications/hildon/instead.desktop

=== icon/Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	$(INSTALLD) $(ICONPATH)
 	$(INSTALL) sdl_instead.png $(ICONPATH)
 	$(INSTALL) sdl_instead_1.png $(ICONPATH)
+	$(INSTALL) sdl_instead.ico $(ICONPATH)
 
 uninstall:
 	$(RM) $(ICONPATH)/sdl_instead.png
 	$(RM) $(ICONPATH)/sdl_instead_1.png
+	$(RM) $(ICONPATH)/sdl_instead.ico

=== debian/changelog ===
instead (1.7.0-maemo1+0m5) maemo; urgency=low

  * rebuild for Fremantle 5.0;
  * add big cursors to deault theme;  
  * fix opt_fsize for MAEMO > 8;

 -- Maksim Kasherny <jmaksima@gmail.com>  Thu,  3 May 2012 03:09:13 +0700

instead (1.7.0) unstable; urgency=low

  * bug fix in phrase handling w/o parameter;
  * bug fix in zip unpack;
  * fix in doc/menu;
  * svg logo added;
  * busy dialog;
  * opt_fading;
  * normal fonts in MAEMO build;
  * wroom module added;
  * nouse module added;
  * nolife module added;
  * hideinv module is better now, noinv added;
  * new dlg module:
  * - better dlg syntax;
  * - psub/pret/pjump/pstart;
  * - stead.phrase_prefix;
  * compose in sprite;
  * game.onact/onwalk/onuse/oninv handlers;
  * counters module;
  * proxymenu module;
  * configure.sh now checks gtk+-3.0;
  * sprite.box and sprite.blank;
  * stead.add_var internal command;
  * stead.gui.hideways added;
  * xact now searches recursive;
  * xwalk xact added;
  * lifeon with order;
  * correct output from life methods while moving;
  * stead.need_scene() added;
  * stead.last_act() added;
  * move/purge/remove/replace now works with lists too;
  * dialog:visible added;

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 17 Apr 2012 13:40:00 +0400

instead (1.6.2) unstable; urgency=low

  * bugfix in build with SDL_mixer 1.2.12;
  * configure.sh script is now compatible with BSD;

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 08 Feb 2012 19:52:00 +0400

instead (1.6.1) unstable; urgency=low

  * bugfix in prefs;
  * justify text option;
  * new track in tutorial3 (svenzzon - The Titan Turrican, CC BY-NC-SA 3.0);
  * SDL_mixer 1.2.12 ready;
  * gentoo build fix;
  * fix build on systems w/o PATH_MAX;
  * fix SDL icon;

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 19 Jan 2012 09:43:00 +0400

instead (1.6.0) unstable; urgency=low

  * CJK support;
  * set_music_fading(out, in);
  * 1 bit transparent icon added for SDL;
  * stead.space_delim added;
  * get_themespath, get_gamespath;
  * goto -> walk, goXX -> walkXX;
  * lua5.2 ready;

 -- Peter Kosyh <p.kosyh@gmail.com>  Tue, 20 Dec 2011 08:37:00 +0400

instead (1.5.2) unstable; urgency=low

  * bug fix in release kbd event;
  * improved motion mode;
  * align in float gfx mode;

 -- Peter Kosyh <p.kosyh@gmail.com>  Sun, 10 Oct 2011 09:49:00 +0400

instead (1.5.1) unstable; urgency=low

  * bug fix in game_cmd logic;
  * bug fix in highlight logic;
  * bug fix in click sound logic;
  * bug fix in RAW_TEXT;
  * INSTEAD SDL -> INSTEAD;
  * languages are sorted now;
  * set_timer moved to stead;
  * code cleanup (no warnings);

 -- Peter Kosyh <p.kosyh@gmail.com>  Mon, 05 Sep 2011 16:11:00 +0400

instead (1.5.0) unstable; urgency=low

  * bug fix in gamefile;
  * bug fix in lifes output;
  * bug fix in PLAYER_MOVED and lifes;
  * bug fix in stop_sound;
  * bug fix in set_music with parameter;
  * bug fix in highlighting;

 -- Peter Kosyh <p.kosyh@gmail.com>  Mon, 17 Aug 2011 15:40:00 +0400

instead (1.4.5) unstable; urgency=low

  * bug fix in rnd() w/o parameter;
  * bug fix in for_each;
  * bug fix in txtnb and \;
  * bug fix in original theme picture scaling;
  * bug fix in left/right image alignment;
  * bug fix in change_pl;
  * callpush/callpop/cctx/strip do_ini and some others moved to stead;
  * win.align added to theme;
  * theme_name added;
  * now fading first value is new scene flag;
  * more information in error messages while checking lists;
  * fixes in input module;
  * added PLATFORM variable;

 -- Peter Kosyh <p.kosyh@gmail.com>  Mon, 01 Aug 2011 12:24:00 +0400

instead (1.4.4) unstable; urgency=low

  * bug fix in direct mode (memory leak);

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 21 Jun 2011 08:57:00 +0400

instead (1.4.3) unstable; urgency=low

  * bug fix in nopara logic;
  * ukranian translation and tutorial;
  * multilang tutorial3;
  * sprites small fix (predefined handles);
  * cursor changing from direct mode support;

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 19 Jun 2011 10:24:00 +0400

instead (1.4.2) unstable; urgency=low

  * bug fix in idf gets;
  * bug fix in kbd hooking;

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 19 May 2011 20:14:00 +0400

instead (1.4.1) unstable; urgency=low

  * bug fix in use;

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 12 May 2011 23:53:00 +0400

instead (1.4.0) unstable; urgency=low

  * bug fix in imgl/imgr;
  * bug fix in xact;
  * bug fix in jump to pos logic;
  * bug fix lags in sound;
  * bug fix with wince/windows with themes load;
  * experemental sprites technology;
  * global dir is now readdir;
  * multichannal sound system (add_sound, stop_sound);
  * -appdata parameter;
  * -chunksize parameter;
  * show dir to be deleted while remove game;
  * theme reset features;
  * mouse_pos added;
  * start() init function added;
  * idf files support (instead data format);
  * menu font is now scalable too;
  * toggle_menu added;
  * get_ticks added;
  * bit_xxx bitwise operations added;
  * visits() added;

 -- Peter Kosyh <p.kosyh@gmail.com>  Mon, 2 May 2011 08:35:00 +0400  

instead (1.3.4) unstable; urgency=low

  * bug fix in text renderer with italic text;
  * bug fix with imgl/imgr in inv;
  * bug fix in video init;
  * bug fix in theme.get 'inv.mode'
  * font faces { } syntax;
  * new default font;
  * set light hinting for font;
  * added stead.dir iterator;
  * modules doc fix;
  * languages dir renamed to lang;
  * updated manual.pdf;

 -- Peter Kosyh <p.kosyh@gmail.com>  Fri, 11 Mar 2011 12:10:00 +0300  

instead (1.3.3) unstable; urgency=low

  * bug fix (kbd input);
  * modules docs;

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 27 Feb 2011 20:27:00 +0300  

instead (1.3.2) unstable; urgency=low

  * bug fix (dates in save slots);
  * bug fix (dbg fixes);
  * bug fix (f8 and f9 error msg);
  * small bug fixes;
  * s60 build;
  * SDL 1.3 ready;
  * it lang and tutorial;

 -- Peter Kosyh <p.kosyh@gmail.com>  Thu, 24 Feb 2011 13:12:00 +0300  

instead (1.3.1) unstable; urgency=low



=== debian/control ===
Source: instead
Section: user/games
Priority: optional
Maintainer: Peter Kosyh <p.kosyh@gmail.com>
Build-Depends: debhelper (>= 5), pkg-config, liblua5.1-dev, libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev
Standards-Version: 3.8.3
Homepage: http://instead.googlecode.com

Package: instead
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple text adventures/visual novels engine
 Visual novell/text quest-like engine.
XB-Maemo-Display-Name: INSTEAD
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABMkSURBVGiBvZp3fBVV2se/Z27PvbnpvXeS
 0AKhI4hUEVRQARsKYkF3FXVdXdeyYl91fde6TV12FxSpqxRhMUiRFpCEUEJJ
 7z037daZef/IDYQQRF/d93w+z2fOzJ2Zz+/3tPM8Z65QVZX/6xBCaAEL0Aao
 gBnoAlT1p7z4Rwzpxz4QF+6fmJESOUwIoZ05dewHd98+Zy8QMio785HFt19/
 BkgB9GazeZgQQiOEED876l7jBxEQF4Y0YdzQ9xfOn7k2MjJkVHJSXOry3z6U
 GRsT8cKgjNTbfv3wwojE+Ig511w1/I3lT9y1x2o1TwMMQgjpv0VE+0PAjxme
 cHOwn/XmfbnFz7s9qnPJHbMSahs7/jV29HCL1dfM55/8/v6gAF/MRh1Trx61
 aFx2ZlCgv1nncDgsacmxsyNC/CZ8s7/g10IIl6qq8v8rAUDyuJTBbz1757x3
 VuRkWf2sotMhc930ifFCoyf3SAEgY2ttRVFkbpg+LjUyPJDKytquscMzf/XQ
 3bPSCgqLm77ZX/B7oFkI0fVzxoe43LuEEGLUkJj5LS1O/Zny+qPPPDx32y/u
 mRNxqrgBt6IlNS2NQ0eO24+fON3U0NjS6ms2+Y0anh46YkiKobqmjrr6RrIH
 JeORXSx8+K0tuw4cfzkqPDCqqrb5C8D1c5H4PgKaedcO/frRxdPGf7I+t/ju
 +VOTqhvtUnp6Kmu/3Fv77627d32Xf2obUAsogKrTaeIT46KuueOmydMXLZjq
 f/DwCaLDA1m5fmepr49OmxATEvbs22vurqlr2QA4fg4S/bqQN+A0Rwoq/rg/
 ryz1+UfnpezLK+Pqq0Zxx0OvV+7YlfusLMs1dKfPdrpTp+J2y5Xx0WG3Lrx5
 ir8GGD0sjeOnilmyYHK8USdYtvzvR2rqWoroTr0u4CfHwyVZSAghBqaETpl3
 7dDPYqODF3Q5ZPXoyUpGDR+I0Oj54K3fRM2aMfExg8EggAqgEqgB6seNHHj3
 S79ZNF6v16CqCnknihwNDa22k2fLaW7tUE+XVNePHJz4SFZG3EJAJ4T40Wn8
 Erx9rSiEENnpkYuWLZ7yhwljBvk1tcl0OGFAWiqSwYJGb0FRVF76/Z9Ktu/c
 tz41MTYiITY8yW53uCeOHZwxcVRmoCp7aGppUZc+9cFmj0c2fvjioikV1fVE
 hljx9zXw69fXHF23/ch1QAvg/Cmu1B8BCfBPiQ+7c+kdk59LTIgNTEyI574n
 3in88O1nkhKTknSq7EFRPLS3taHTCLbnHGBIZjwRIf6oigfZ7Wbpb97N//I/
 h54FtI/fM/Od0VlJ0UPSonj4xX8V7Mo986rd7sqj23odP4XAJSYMNJkiZ03M
 eHfU0ISbBg6I99FodeR8W9B64MjJV+/55Yurt3y1y6aqCigKm77azYpPNxMR
 GsChIyd5/+MN2Frb+euqrfVbco68CTQDZwqLq45aLUacThdul6wdlBIxNzLY
 N4Xu8uMnjYuCWAghkuNDMsdmp1xz25yrw7UGX46freV0cXUt0PBd/qk///bF
 t0+6XI4nswal+mm1Gk6eKT718cov98REBic//uBNV33xn/26yLAAH1mWFaAe
 aKqtbz0bFx7A6eIq/rz8tvSOzq70R19dE1Td2L4PcAohDPFh1szSurbDdGe0
 8+NK1rnEAudKG/a//P62O+Y88M7hsqomkhJjKa+qr6Q749QUl9bkuNwutmzf
 g5/V3LV+8+6/nC2pXJ/zbd4ra7/cU9TRaWfiqExLRkrMBMAOdBVXNOwsKq9X
 PLLMx2v3Vi98csVnOw+dex0IB4wTsxOeu/3G7C+Cg/2GZiSFTZoyNnUXEAlo
 r1SC9JcFRFZm9NxRWal+QqsHSYdOr1XoTpU2oKahoaVdkgR+Fh+d1WKy0L0W
 VPqajBpZljEZtGg0kh4QAAF+5hCrxSChqqiAoiASIgNm/+LW0ZtGZETeb9Br
 Ym+ZOijUz6R9acTA2LfnzRiaBSTRXd1+b0F4yTqQmhB5y313Trt3/Kgsndka
 SH5hJRFh4SF0m1YG2ktKq4oef2hB9NYd+3RLbp+1ZM+B/Mz4mLCoOdeNSTpa
 cA6Px0NkqH9mQWGZFWhJiQ0dExpopqm5lcVzRkbeNDlz/gPLV383LD0qeEBC
 6FM6vdZgNOpY/Yc7Z2gkifc/3VcdFWK9amx20lPNts7Cr/ededpbRylXJHCm
 pHrNI8+t6PLzWz/llWfuXxAUFGIKDQ0KAQyABnA53U59kL8vvmYjLc1q3LJ7
 58QVni0jZ08eC+dORKeVeO+FRSNf/XDD51/vyvtlbFRQ8rmyehKiArn76X+e
 8zFodLZOR2XOoaKgp++9Ju5oYQ35hTUgJJAEjy6aFHnNmLRn42OCdY+8tO4s
 EAA0CSHcfWOiv5XY3dLWeXTMyMx7YmMipPYuhYW3zo766j97Fh88XLB8ysQR
 rzzz6N2jVVVh9rQxqLKHYyfOcPPMsVRW18l2h0MYdEZJr5V49qHrM5Kjg1ea
 DBrR1tGFCLOgqugWzBgUkhwfMjvA1yT25ZUxLCOanINFbUIjMWVMqvVgXinj
 RyQbFj21Mjf3WOkXgMmrPHdfsP2tA9oxIzLef+/VR++ramh3xcTG6R1ddnbt
 y6366B/rV7332q+WDhuUbFEVD2UVNfLv3vwk189sory6ofFUYcnBhLiI7KeW
 Xj8le2CsWZU9qIoHW1sHxeV1RARb8DdrWfLC2ubxQ2OVccPigyOCrbz+ye6T
 X3x94k1AmTtt0BO/WjIls6ahnbKa1qayqpauvFMVuTu+PXUP0AHIva3QnwXU
 0uK6/5m76Lny6trGjoeX3v7k9EmjI26bOz0qMTb8weFDUs2K7MHhcPLc6x8f
 3Jpz6FXAAXgAuamgaN+y1z433zFrxIT7bh6jV1WFY6crsfroePrlzZijIwmP
 igmIjw5S2jqcRIdLfHeycr9blsuAjvzC6r1Ggy7T4fKQEh9qKaposnd2udq9
 buSkT/3UL4GapqZKmlg7acLoFx9YdEt4cICFnF0HuWb8MLMqe0BVeOa1j85t
 zTn0FtAINGgN5ihDVPpS39iM7OETr006kbdSamiyUVvfQmZSGBIKaRnx1FVX
 ctvNWcLHx6SxtdnxMRpIiA4cUFLZbAMaE2OD4wx6PbIKG7bn1//5093PAeVe
 F7q0duuvFvISs9xy4/QDSfFR+r37j9Q9/fjiIQ57lzEtKRrZ41KfeP6D43VN
 LcfO1jhsxoThmUkjpw7JSov3N9Xk4tt6nAXXDyP/VBkRQWZWrj9MdFQAHtmF
 SZtIS00NRdVn+N2T0zl+rp7gAKv6r81Ha016qfHW2SMG1DZ16Iakx6IIwYcr
 d1d9unHfsmabfQ/dtdNFgdxvP+AlYQBSgaCkhOhrV7z37LLYqBBdSWkl7e0d
 DB2YgOJxcfRECceLm/DRKaTH+ZEcHURJeS0ttjaGDYiipa2Ttx77K3F2BVdK
 MsMnTuJcfRUx8R6yMiKwdbgoqWohJMiCQKK1w0lsdDBbd52qPXSspDg2Ksi6
 88DplaXlDR8BzX1b0n77AVVVVSGEh+5yuSNzQOLQjs4u+fq7ninLGpQS9dzD
 t5jyj59D8bgRqsygOAuK4sHeaSf/VBkx4X4UnKvn759tYNHcQYSmRBK89zg+
 Rw6j1NfRkJGICwN7vq0mPT2QG6dn4nDKIEmEyyotHS5FFapm5/7TqxVFqQXq
 AB3ehbH3+L56XAbadX5+/t+Vdohfvvlle8jkpUmBoZGmFlsH/9yST12rnfSk
 KPLP1BIa5IfVambjgRpKq1uwdToYNO8xNp4wUt8CViBaQFhlBTMO5pOthDI0
 JBY/XwOrNubx2js7MBp1/Pa9fbyxsVpKT40OjoyOmE93r1FDd6K4cgx4XUgf
 lDx4SWBsxtzo7CnDRo6bGBAqbJiEm0Pr3gWNjqisaVCaQ0yIDyc9A/BpOEBM
 kIlCKYuWcwegrYLoSffjGxiCVqvDcXgvCRs+IrPyHG6gXaenbuwEdmjaiBR+
 6CQtg6dEs+0fu9HoIylPG0ajPsJTcmjbkbbigt84bLVH6M5CrivGQNzIqV+O
 X/rGzJDIGCnMIqG43XTZnXQ5ndiam7C3NqARKvb8jageN4FDZtJ1bi9qWyVJ
 k+7C6ONLu60Za1AY/sFh6I1mJK0OPE7cK/7I4A0fEdTVRqeQaBg4GE98Ihof
 H76pLCHsxGnc1hDqps1DjL6OEoeFvBXP1xTvXpPptYLjigRmLVx4JOnq+cOU
 qNEIIVAVFQUV1SPjcnbitneiquBxOXDYmhGSBo3egOzsJNhiID4yFIteQqPV
 YTBb0ekNqEKgqoAQdJw5TtBfXmLk/q14FBWnENgsvhxJyaZq3Ey0o2bQLJuw
 lR1igLKLzrZ2z5svr4zxErB73VtWVVXtN4ijQ03+Y3z2cqaslOaYOegMPqiA
 qpUw6H1RLGZQQXa7cVn9kDRaEALF7UaVJCoUE2ZFQ7hei49ejypJqKp360IF
 Y/JA2l9bxabta0lc+yca07Kon3knnWFJdLY76KgqINm1g1GBHnQ6DacdGuhO
 OFq6g1kDyEIIpV8CRp2kNRi0JPoUE1z7N4r952IMjkFVNYAGVekuizEakH1M
 3blBCBRZoTsDS6hAjQMa3ApBJjDrBDpJIAAFgSw0SFNv4fiEm2h3KbQ7PLjK
 8ojp2Ea0vxO9XgPoARWTyST6EFDoDmi5XwJWs1m76rU1aOuayb7vOoaZVlNY
 no02/mqQJFC7e0EVQJXO94Wq2nOtp1dUUVVocaq0OLpJSwIUBRTvTYqi4Kg+
 RmTrVqIDXBisGsCIqqqYTH6YTFY6na14AQsvAdk7F/0S2LE2x/3CmAmEJCby
 741rKBjaxOjpWs6dLceeOA+dydILoDgP3ovdO+/1W5/fUVUURaWr5iQhTVuJ
 8XNgjNKiqkYkScJotGI0WjGZrDhdcLay3u19VNsDvEf6KyUMcwP9S954680I
 yeSD4vGw7b0/cjRUz5wHZlPbLFMZMBvfyJQ+oOhlCbWfaz1EFDqqCwms30q0
 nx2TSYeqgkajxWDwxWTqBu52Cwoq21n7dXFN4b6cbeXH9r2Mt2D0iqdfFxos
 sfze5MQId3UVQm9ABcaMv4rKP73PoYwExk3Owtq+ieLT6fgMmIak0fbRsAqq
 uIiACqiKSnvtWSxVW0jxt2OK0gE+aLV6DAZfjMZuURQNhVU21u2pbD22a9ue
 c4e+eQto8LqQxvu6nhhQLrJApBDpN+nYOldDnDE5Bf/JU1EBW0UFf7M18ODr
 y+jqasbtduJ2uylpNCCnLcDk6+/VsHqp1lWVtppiDFVbiPLtwmLWA6DVGr2g
 LRgMvoCWs5XNbMpt7Dy4fdPhs4d2f+hy2c95Nd1b5N7n5wkEChE3S8vmB3Vk
 bvVQnyBhGT5unI8UEMjKo/kO5dHfSTeMCNL7miW6ulqx21tQVZWaBjtNAVMJ
 SBh0sSVUFVttOVLZZqIsHfj6GlFV0OtNGAy+GAwWDAYLkqSnpLqRr090OL/e
 sL6g8PCeFfa2ljy6904vAdxXhKqqCCHEEA3zgmCGU6XzoMK65TrWzvTRB+Jr
 5ZGaxq/K0wYfn3r7PXfNuyo+JCbMgsNhw2634XJ10dHhoNgeTfCQ2UgaHa31
 VchFm7zATQAYDGb0eosXuBlJMlJR18C3RQ75y9Wfnzp9cO+a1sba/Vxojn6Q
 9BDoybEa7zH5r3pyJmqwblJofMXJ4kY4ExwRfdXo6Tc8veSumQmZ0X7Ichd2
 eyt2uw2320VxrYwsjERY2rD6mhFCoNdb0Ot9vATMaLUmqusayK2Q5Q2ffV50
 /MCuzQ0Vpdt+qMb7ulNPOtL2lhgNN6zV83GAQCxysupbmed7CGq12sihE6a9
 8eATDw8en2QVWq2Kw2HD4bDhdHYCIEkadDozer0Jvf4C8PrGJo5WO9UNq78o
 Pbo3Z0dVUeF6uht1+TLgL0fm/HXhjebe2tdO1fDqKgP3/8JF3moPt3u1o+l1
 nyll2KgXFi574pobh4frAvx8cDrbsdttqKqMTueDTueDXu+DVmuiubWFoxUd
 rNuYU5H3zVe7Sk7mr+JCf9tbPN9z7D+IuZCezrvRVRreMIF+u8wrdBdPPcB7
 k9BEpWbeM3n+4vn3Xz80KCkmEperHUWRzwO3tbdzuKSJ9VsO1ubt3PTt2aMH
 PwI6ubBJpnApiR9C5iILiD7A+gXbj0iAJiA8ZuyQiTOeXPbALbFjMxOQJIku
 u53cszWs21nQ+N32Lw4WHvzmA7p3qhUu5PEe6QHcl4znMucewNOzS9cTxNIP
 AHwetPd4XrQGQ0TayElvPvTEY4Oj/TRi3d5iW+7WNYeKcve+63R2VdBrPeuH
 wPeR6EvgPPCecX4d6EOiZ/69wLlQYAlAnzBkzOvmwGBL0XcH3rfbGgrotaZd
 gcCVXMpzuW32i1bino97fYD3B15wMfje0nv0R6A/N+qXxA/5KH65nrg32B7w
 gku1/n3gfywBGVD624H+0QQuQ6av1nt2CC4Hvjfwnvkl4H/qt+IrErjkge5v
 Db1B9573fdl5zf+3/n3zv4wuIfRjfIMJAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	ln -s instead.6 doc/sdl-instead.6
	ln -s instead.txt doc/sdl-instead.txt

	rm -rf Rules.make
	ln -s Rules.make.system Rules.make
	echo "2" | ./configure.sh
	$(MAKE) PREFIX=/usr BIN=/usr/games DATAPATH=/usr/share/games/instead
	rm -rf Rules.make
	#docbook-to-man debian/instead.sgml > instead.1
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf doc/sdl-instead.6
	rm -rf doc/sdl-instead.txt

	rm -rf Rules.make
	ln -s Rules.make.system Rules.make
	$(MAKE) clean
	rm -rf Rules.make
	ln -s Rules.make.standalone Rules.make

	dh_clean 

install: build
	dh_testdir
	dh_testroot
#	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/instead.
	rm -rf Rules.make
	ln -s Rules.make.system Rules.make
	$(MAKE) install DESTDIR=$(CURDIR)/debian/instead PREFIX=/usr DATAPATH=$(CURDIR)/debian/instead/usr/share/games/instead BIN=$(CURDIR)/debian/instead/usr/games
	rm -rf Rules.make


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## instead 1.7.0-maemo1%2b0m6

=== doc/Makefile ===
--- 
+++ 
@@ -30,7 +30,10 @@
 	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:kbd&do=export_raw" -O modules/kbd.txt
 	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:sprites&do=export_raw" -O modules/sprites.txt
 	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:sound&do=export_raw" -O modules/sound.txt
-
+	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:counters&do=export_raw" -O modules/counters.txt
+	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:nouse&do=export_raw" -O modules/nouse.txt
+	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:nolife&do=export_raw" -O modules/nolife.txt
+	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:modules:proxymenu&do=export_raw" -O modules/proxymenu.txt
 clean:
 all:
 install:

=== debian/changelog ===
instead (1.7.0-maemo1+0m6) unstable; urgency=low

  * fix changelog;
  * add XBSC-Bugstracker string;

 -- Maksim Kasherny <jmaksima@gmail.com>  Sat, 12 May 2012 14:45:23 +0700

instead (1.7.0-maemo1+0m5) unstable; urgency=low

  * rebuild for Maemo 5.0;
  * add big cursors to default theme;
  * fix opt_fsize for MAEMO > 8;Z

 -- Maksim Kasherny <jmaksima@gmail.com>  Sat, 12 May 2012 14:44:35 +0700

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: simple text adventures/visual novels engine
  Visual novell/text quest-like engine.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=INSTEAD
 XB-Maemo-Display-Name: INSTEAD
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI

## instead 1.7.0-maemo1%2b0m7

=== debian/changelog ===
instead (1.7.0-maemo1+0m7) unstable; urgency=low

  * add optify file with auto mode (debian/optify);

 -- Maksim Kasherny <jmaksima@gmail.com>  Sat, 12 May 2012 20:01:52 +0700

## instead 1.7.0-maemo1%2b0m8

=== debian/changelog ===
instead (1.7.0-maemo1+0m8) unstable; urgency=low

  * rebuil for Maemo;
  * fix XSBC-Bugtracker field to e-mail of developer;

 -- Maksim Kasherny <jmaksima@gmail.com>  Sun, 20 May 2012 01:09:21 +0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: simple text adventures/visual novels engine
  Visual novell/text quest-like engine.
-XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=INSTEAD
+XSBC-Bugtracker: mailto:p.kosyh@gmail.com
 XB-Maemo-Display-Name: INSTEAD
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI

## instead 1.9.1

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,7 @@
 	ln -sf Rules.make.standalone Rules.make
 
 docs: rules
-	make pdf -C doc/
-	make wiki -C doc/ 
-	man doc/instead.6 > doc/instead.txt
+#	make docs -C doc/
 
 PKGBUILD: PKGBUILD.in tarball
 	cat PKGBUILD.in | sed -e s/MD5SUM/`md5sum $(ARCHIVE) | cut -f1 -d' '`/g > PKGBUILD
@@ -63,4 +61,3 @@
 else
 	echo No uninstall needed
 endif
-

=== desktop/Makefile ===
include ../Rules.make
include ../config.make

clean:
	rm -rf instead.desktop

all: instead.desktop

instead.desktop: instead.desktop.in
	cat instead.desktop.in | sed -e "s|@BIN|$(BIN)|g" > instead.desktop

install:
	$(INSTALLD) $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) instead.desktop $(DESTDIR)$(PREFIX)/share/applications/instead.desktop

uninstall:
	$(RM) $(DESTDIR)$(PREFIX)/share/applications/instead.desktop

=== doc/Makefile ===
include ../Rules.make
include ../config.make

all:
clean:

pdf:
	./makepdfs
#	# try xetex here, and hope it works ;)
#	pdflatex reference.tex
#	makeindex reference.idx
#	pdflatex reference.tex
#	$(RM) -f reference.aux reference.log reference.toc reference.out reference.idx reference.ind reference.ilg
#to-do: interpret $PATH
man:
	man ./instead.6 | col -b > instead.txt

wiki:
	wget "http://instead.syscall.ru/wiki/doku.php?id=ru:gamedev:documentation&do=export_xhtml" -O instead-manual.html
	wget "http://instead.syscall.ru/wiki/doku.php?id=en:gamedev:documentation&do=export_xhtml" -O instead-manual-en.html

docs:	wiki man pdf

install:
	$(INSTALLD) $(DOCPATH)
	$(INSTALL) *.txt *.html *.pdf $(DOCPATH)

	$(INSTALLD) $(MANPATH)
	$(INSTALL) *.6 $(MANPATH)

uninstall:
	$(RM) -rf $(DOCPATH)
	$(RM) $(MANPATH)/instead.*

=== games/Makefile ===
include ../Rules.make
include ../config.make

all:
install:
	$(INSTALLD) $(GAMESPATH)
	for f in *; do \
		echo $$f;\
		if [ ! -d $$f ]; then continue; fi;\
		$(INSTALLD) $(GAMESPATH)/$$f; \
		tar --exclude=".svn" -cf - -C $$f . | tar -xpf - -C $(GAMESPATH)/$$f;\
	done

uninstall:
	$(RM) -rf $(GAMESPATH)

clean:

=== icon/Makefile ===
--- 
+++ 
@@ -6,7 +6,11 @@
 install:
 	$(INSTALLD) $(ICONPATH)
 	$(INSTALL) sdl_instead.png $(ICONPATH)
+ifeq ($(WINDOWS), yes)
+	$(INSTALL) sdl_instead_1x32.png $(ICONPATH)/sdl_instead_1.png
+else
 	$(INSTALL) sdl_instead_1.png $(ICONPATH)
+endif
 	$(INSTALL) sdl_instead.ico $(ICONPATH)
 
 uninstall:

=== stead/Makefile ===
--- 
+++ 
@@ -28,6 +28,12 @@
 	$(INSTALL) theme.lua $(STEADPATH)/theme.lua
 	$(INSTALL) sprites.lua $(STEADPATH)/sprites.lua
 	$(INSTALL) sound.lua $(STEADPATH)/sound.lua
+	$(INSTALL) wroom.lua $(STEADPATH)/wroom.lua
+	$(INSTALL) nouse.lua $(STEADPATH)/nouse.lua
+	$(INSTALL) dlg.lua $(STEADPATH)/dlg.lua
+	$(INSTALL) counters.lua $(STEADPATH)/counters.lua
+	$(INSTALL) proxymenu.lua $(STEADPATH)/proxymenu.lua
+	$(INSTALL) nolife.lua $(STEADPATH)/nolife.lua
 
 uninstall:
 	$(RM) $(STEADPATH)/stead.lua

=== themes/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	for f in *; do \
 		if [ ! -d $$f ]; then continue; fi;\
 		$(INSTALLD) $(THEMESPATH)/$$f;\
-		tar --exclude=".svn" -c -C $$f . | tar -x -C $(THEMESPATH)/$$f;\
+		tar --exclude=".svn" -cf - -C $$f . | tar -xpf - -C $(THEMESPATH)/$$f;\
 	done
 
 uninstall:

=== src/sdl-instead/Makefile ===
--- 
+++ 
@@ -7,14 +7,14 @@
  
 SRC     := graphics.c input.c game.c main.c instead.c sound.c SDL_rotozoom.c SDL_anigif.c SDL_gfxBlitFunc.c config.c themes.c menu.c util.c cache.c unzip.c ioapi.c unpack.c lfs.c idf.c $(PLATFORM)
 H	:= cache.h config.h externals.h game.h graphics.h input.h instead.h internals.h ioapi.h iowin32.h list.h \
-	menu.h SDL_anigif.h SDL_gfxBlitFunc.h SDL_rotozoom.h sound.h themes.h unzip.h util.h
+	menu.h SDL_rotozoom.h SDL_anigif.h SDL_gfxBlitFunc.h sound.h themes.h unzip.h util.h
 
 OBJ     := $(patsubst %.c, %.o, $(SRC)) $(ADDOBJ)
 
 all: sdl-instead$(EXE)
 
 $(OBJ): %.o : %.c $(H)
-	$(CC) -c $(<) $(I) $(CFLAGS)
+	$(CC) -c $(<) $(I) $(CFLAGS) $(CPPFLAGS)
 
 sdl-instead$(EXE):  $(OBJ) $(RESOURCES)
 	$(CC) $(CFLAGS) $(^) $(LDFLAGS) -o $(@)

=== debian/changelog ===
instead (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * New tutorial soundtrack from svenzzon, so old one is gone
    and now package is not "-dfsg".
  * Fix build on sid on amd64 (Closes: #713680).
  * debian/control:
    - Bumped up Standards-Version to 3.9.4.
  * debian/watch:
    - Update link to current INSTEAD repository.
  * debian/copyright:
    - Update INSTEAD site link.
    - Update copyright for tutorial music.
  * debian/control:
    - Update INSTEAD site link.
    - Update game repository link.
  * patches/:
    - Fix Lintian warnings:
      - "desktop-entry-contains-encoding-key"
      - "desktop-entry-lacks-keywords-entry"
    - Fix "desktop-file-validate" tool warnings:
      - "Icon" must not contain file extension
      - "Version" entry must be desktop-file standard version,
        not the application version

 -- Sam Protsenko <joe.skb7@gmail.com>  Thu, 26 Sep 2013 23:50:00 +0300

instead (1.8.3+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #664587).
    + Non-free games/tutorial3/sv_ttt.xm from upstream replaced with free one
      track.
  * Removed linking patch as it's not necessary (fixed upstream).
  * Added missed copyright for themes/default/sans*.ttf.
  * Added patch fixes desktop entry.
  * themes/default/sans*.ttf fonts replaced with system ones.
  * Added doc-packages.
  * Threaded make.

 -- Sam Protsenko <joe.skb7@gmail.com>  Sat, 09 Mar 2013 22:40:00 +0200

instead (1.6.1-1) unstable; urgency=low

  * Fixed build for Hurd.

 -- Sam Protsenko <joe.skb7@gmail.com>  Thu, 19 Jan 2012 15:09:11 +0200

=== debian/control ===
Source: instead
Section: games
Priority: optional
Maintainer: Sam Protsenko <joe.skb7@gmail.com>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), pkg-config, liblua5.1-dev, libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, libgtk2.0-dev, fonts-liberation
Standards-Version: 3.9.4
Homepage: http://instead.sourceforge.net

Package: instead
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, instead-data (= ${source:Version})
Suggests: instead-doc-en | instead-doc-ru
Description: Simple text adventures/visual novels engine
 INSTEAD -- INterpreter of Simple TExt ADventure.
 Using INSTEAD you can create and play games that could be classified
 as a mix of visual novel and text quest. 
 .
 Features:
   * Simple story source code (Lua-based script)
   * GUI interface that supports music and pictures
   * Theme support
   * Portability (INSTEAD depends on SDL and Lua)
 .
 Game repository: http://instead-games.sourceforge.net

Package: instead-data
Architecture: all
Depends: ${misc:Depends}
Recommends: instead
Description: Data files for INSTEAD
 INSTEAD -- INterpreter of Simple TExt ADventure.
 Using INSTEAD you can create and play games that could be classified
 as a mix of visual novel and text quest.
 .
 Features:
   * Simple story source code (Lua-based script)
   * GUI interface that supports music and pictures
   * Theme support
   * Portability (INSTEAD depends on SDL and Lua)
 .
 This package contains language files, graphical themes, STEAD scripts
 and tutorial.

Package: instead-doc-base
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Common documentation for INSTEAD
 This package contains base documentation (common for all languages).
 .
 At the moment this contains only examples for developer's manual.
 These examples (written in Lua) demonstrate how to implement
 common features when you write a game for INSTEAD.

Package: instead-doc-en
Section: doc
Architecture: all
Depends: ${misc:Depends}, instead-doc-base (= ${source:Version})
Description: English documentation for INSTEAD
 This package contains game developer manual and examples in English.
 Manual describes basic API in Lua and how to create games for INSTEAD engine.
 .
 Unfortunately, complete and latest documentation currently available only
 in Russian.

Package: instead-doc-ru
Section: doc
Architecture: all
Depends: ${misc:Depends}, instead-doc-base (= ${source:Version})
Description: Russian documentation for INSTEAD
 This package contains game developer manual and examples in Russian.
 Manual describes basic API in Lua and how to create games for INSTEAD engine.
 .
 Russian documentation is complete and up to date, so it's preferred to use it.

=== debian/rules ===
#!/usr/bin/make -f

# Hardening: see http://wiki.debian.org/HardeningWalkthrough for details
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# HACK: remove this once upstream is being patched properly
LDFLAGS += -lm

# Multithreaded make
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

TMP_DIR = $(CURDIR)/debian/tmp
DEST_DIR = $(TMP_DIR)/usr

%:
	dh $@ --parallel

override_dh_auto_configure:
	# Making links for man files
	ln -s instead.6 doc/sdl-instead.6
	ln -s instead.txt doc/sdl-instead.txt

	# Configuring build environment
	echo "2" | ./configure.sh

override_dh_compress:
	dh_compress --exclude=.pdf --exclude=.lua

override_dh_auto_build:
	$(MAKE) PREFIX=/usr BIN=/usr/games DATAPATH=/usr/share/games/instead

override_dh_auto_clean:
	$(MAKE) clean

	# Removing links for man files
	rm -f doc/sdl-instead.6
	rm -f doc/sdl-instead.txt

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(TMP_DIR) PREFIX=/usr DATAPATH=$(DEST_DIR)/share/games/instead BIN=$(DEST_DIR)/games

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/instead/instead_(.+)\.tar\.gz
